﻿@{
    var action = ViewContext.RouteData.Values["action"];
    var controller = ViewContext.RouteData.Values["controller"];

}

<div class="iq-top-navbar">
    <div class="iq-navbar-custom d-flex align-items-center justify-content-between">
        <div class="iq-sidebar-logo">
            <div class="top-logo">
                <a href="/Home" class="logo">
                    <img src="~/assets/images/logo.png" class="img-fluid" alt="">
                </a>
            </div>
        </div>
        <div class="iq-menu-horizontal ml-lg-auto">
            <nav class="iq-sidebar-menu">
                <ul id="iq-sidebar-toggle" class="iq-menu d-flex">
                    @if (controller.ToString() == "Home" && action.ToString() == "Index")
                    {
                        <li class="active">
                            <a class="iq-waves-effect" asp-area="" asp-controller="Home" asp-action="Index">
                                <span>Trang chủ</span>
                            </a>
                        </li>
                    }
                    else
                    {
                        <li>
                            <a class="iq-waves-effect" asp-area="" asp-controller="Home" asp-action="Index">
                                <span>Trang chủ</span>
                            </a>
                        </li>
                    }

                    @if (controller.ToString() == "Staff" && action.ToString() == "TheoDoiTiemVacxin")
                    {
                        <li class="active">
                            <a class="iq-waves-effect" asp-area="" asp-controller="Staff" asp-action="TheoDoiTiemVacxin">
                                <span>Thông tin tiêm chủng</span>
                            </a>
                        </li>
                    }
                    else
                    {
                        <li>
                            <a class="iq-waves-effect" asp-area="" asp-controller="Staff" asp-action="TheoDoiTiemVacxin">
                                <span>Thông tin tiêm chủng</span>
                            </a>
                        </li>
                    }
                    @if (controller.ToString() == "ThongTinYTe" && action.ToString() == "Index")
                    {
                        <li class="active">
                            <a class="iq-waves-effect" asp-area="" asp-controller="ThongTinYTe" asp-action="Index">
                                <span>Trung tâm y tế</span>
                            </a>
                        </li>
                    }
                    else
                    {
                        <li>
                            <a class="iq-waves-effect" asp-area="" asp-controller="ThongTinYTe" asp-action="Index">
                                <span>Trung tâm y tế</span>
                            </a>
                        </li>
                    }

                <li>
                    <a href="https://www.nhabe.com.vn/vie/tin-tuc-su-kien/tin-tu-nbc.html">Tin tức</a>
                    @*<a class="iq-waves-effect" asp-area="" asp-controller="" asp-action="">
                        <span>Tin tức</span>
                    </a>*@
                </li>
                    @*
        <li>
            <a href="#link" class="iq-waves-effect collapsed" data-toggle="collapse" aria-expanded="false">
                <span>Link</span>
                <i class="ri-arrow-right-s-line iq-arrow-right"></i>
            </a>
            <ul id="dashboard" class="iq-submenu collapse" data-parent="#iq-sidebar-toggle">
                <li>
                    <a href="#link_sub_1" class="iq-waves-effect"><span>Link sub 1</span></a>
                </li>
                <li>
                    <a href="#link_sub_2" class="iq-waves-effect"><span>Link sub 2</span></a>
                </li>
            </ul>
        </li>
                    *@
                </ul>
            </nav>
        </div>
        <nav class="navbar navbar-expand-lg navbar-light p-0">

            <div class="iq-menu-bt align-self-center">
                <div class="wrapper-menu">
                    <div class="main-circle"><i class="ri-arrow-left-s-line"></i></div>
                    <div class="hover-circle"><i class="ri-arrow-right-s-line"></i></div>
                </div>
            </div>

            <ul class="navbar-list">
                <li>
                    <a href="#" class="search-toggle iq-waves-effect d-flex align-items-center">
                        <img src="~/assets/images/icon-user.png" class="img-fluid rounded mr-3" alt="user">
                    </a>
                    <div class="iq-sub-dropdown iq-user-dropdown">
                        <div class="iq-card shadow-none m-0">
                            <div class="iq-card-body p-0 ">
                                <div class="bg-primary p-3">
                                    <h5 class="mb-0 text-white line-height"> Thông  tin cá nhân</h5>
                                </div>
                                <!--<a asp-area="" asp-controller="Account" asp-action="Infomation" class="iq-sub-card iq-bg-primary-hover">-->
                                <a asp-action="Infomation" asp-controller="Account" class="iq-sub-card iq-bg-primary-hover">
                                    <div class="media align-items-center">
                                        <div class="rounded iq-card-icon iq-bg-primary">
                                            <i class="ri-file-user-line"></i>
                                        </div>
                                        <div class="media-body ml-3">
                                            <h6 class="mb-0 ">Thông tin tài khoản</h6>
                                        </div>
                                    </div>
                                </a>
                                <a asp-action="Index" asp-controller="Admin" class="iq-sub-card iq-bg-primary-hover">
                                    <div class="media align-items-center">
                                        <div class="rounded iq-card-icon iq-bg-primary">
                                            <i class="ri-file-user-line"></i>
                                        </div>
                                        <div class="media-body ml-3">
                                            <h6 class="mb-0 ">Khu vực quản trị</h6>
                                        </div>
                                    </div>
                                </a>
                                <div class="d-inline-block w-100 text-center p-3">
                                    <a class="bg-primary iq-sign-btn" asp-action="Logout" asp-controller="Account" role="button">Đăng xuất<i class="ri-login-box-line ml-2"></i></a>
                                </div>
                            </div>
                        </div>
                    </div>
                </li>
            </ul>
        </nav>
    </div>
</div>